Subject: [bug#31308] [PATCH 0/3] Support u-boot on wandboard and mx6cuboxi

From: [email-masked] (Ludovic Courtès)
Date: Tue, 01 May 2018 21:55:12 +0200

Hello,

Vagrant Cascadian <[email-masked]> skribis:

> On 2018-04-30, Ludovic Courtès wrote:
>> Vagrant Cascadian <[email-masked]> skribis:
>>> The following patches enable u-boot builds for wandboard and mx6cuboxi.
>>>
>>> Both u-boot builds require the inclusion of the "SPL" file.
>>>
>>> Tested on Wandboard Solo and Hummingboard-i1.
>>
>> Did you install these U-Boot packages on these boards, or did you go as
>> far as running GuixSD on them?
>
> I only went as far as using guix to build the bootloaders and manually
> install them, and tested that they successfully booted... Debian. :)

Heh, not too bad!  ;-)

> The boards I tested on were only single-core with 512MB of ram, so would
> be a bit difficult to run GuixSD on.

Yeah.  I hope we’ll do better in the future in that regard.

> However, this u-boot build should also work on the Wandboard Quad or
> CuBox-i4, which have quad-core CPUs and 2-4GB of ram, which might
> actually be useable with GuixSD. There's also been recent good progress
> on free graphics drivers for this family of SoC.

[...]

> I've got some work-in-progress on a few more boards, but haven't had a
> chance to boot test them, and some with non-trivial changes (at least
> with my rank beginner guile skills)... will submit eventually. :)

Heh, sounds exciting.  :-)

Thank you,
Ludo’.